Security Enhanced Linux Reference Policy

# Layer: services

## Module: fail2ban

Interfaces

### Description:

Update firewall filtering to ban IP addresses with too many password failures.

### Interfaces:

fail2ban_admin( domain , role )

##### Summary

All of the rules required to administrate an fail2ban environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the fail2ban domain.

fail2ban_append_log( domain )

##### Summary

Allow the specified domain to append fail2ban log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

fail2ban_domtrans( domain )

##### Summary

Execute a domain transition to run fail2ban.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

fail2ban_read_lib_files( domain )

##### Summary

Read fail2ban lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fail2ban_read_log( domain )

##### Summary

Allow the specified domain to read fail2ban's log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

fail2ban_read_pid_files( domain )

##### Summary

Read fail2ban PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return